#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeframever	6.13
%define		qtver		5.15.2
%define		kfname		kdav
Summary:	Kdav
Name:		kf6-%{kfname}
Version:	6.13.0
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/frameworks/%{kdeframever}/%{kfname}-%{version}.tar.xz
# Source0-md5:	5729859a76b5feecc9a115bd6dad91b3
URL:		http://www.kde.org/
BuildRequires:	Qt6Core-devel >= %{qtver}
BuildRequires:	Qt6Gui-devel
BuildRequires:	Qt6Network-devel >= 5.11.1
BuildRequires:	Qt6Test-devel
BuildRequires:	cmake >= 3.16
BuildRequires:	gettext-devel
BuildRequires:	kf6-extra-cmake-modules >= %{kdeframever}
BuildRequires:	kf6-kcoreaddons-devel >= %{kdeframever}
BuildRequires:	kf6-ki18n-devel >= %{kdeframever}
BuildRequires:	kf6-kio-devel >= %{kdeframever}
BuildRequires:	ninja
BuildRequires:	qt6-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	shared-mime-info
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
#Obsoletes:	kf5-%{kfname} < %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A DAV protocoll implemention with KJobs.

%package devel
Summary:	Header files for %{kfname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kfname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
#Obsoletes:	kf5-%{kfname}-devel < %{version}

%description devel
Header files for %{kfname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kfname}.


%prep
%setup -q -n %{kfname}-%{version}

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON

%ninja_build -C build

%if %{with tests}
%ninja_build -C build test
%endif


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kaname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{kaname}.lang
%defattr(644,root,root,755)
%{_datadir}/qlogging-categories6/kdav.categories
%ghost %{_libdir}/libKF6DAV.so.6
%attr(755,root,root) %{_libdir}/libKF6DAV.so.*.*
%{_datadir}/qlogging-categories6/kdav.renamecategories

%files devel
%defattr(644,root,root,755)
%{_includedir}/KF6/KDAV
%{_libdir}/cmake/KF6DAV
%{_libdir}/libKF6DAV.so
%changelog
* Tue Apr 29 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf6-kdav.git;a=log;h=master

* Sat Apr 12 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 91a7707
- updated to 6.13.0

* Sun Mar 16 2025 Witold Filipczyk <witekfl@poczta.onet.pl> e877ea3
- updated to 6.12.0

* Sat Feb 15 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 94ae256
- updated to 6.11.0

* Fri Jan 10 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 80ed773
- updated to 6.10.0

* Fri Dec 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 93da71c
- updated to 6.9.0

* Fri Nov 08 2024 Witold Filipczyk <witekfl@poczta.onet.pl> a7bbfea
- updated to 6.8.0

* Fri Oct 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 1ed49e4
- updated to 6.7.0

* Sat Sep 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> bb377b9
- updated to 6.6.0

* Sun Aug 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> fa1b661
- updated to 6.5.0

* Wed Aug 07 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> e7f7ec3
- relup

* Sat Jul 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> f021692
- updated to 6.4.0

* Sat Jun 08 2024 Witold Filipczyk <witekfl@poczta.onet.pl> b72e1b1
- updated to 6.3.0

* Fri May 24 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 131d773
- Obsoletes kf5

* Sat May 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> eec8553
- updated to 6.2.0

* Sun Apr 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> d59e4c9
- updated to 6.1.0

* Sat Mar 02 2024 Witold Filipczyk <witekfl@poczta.onet.pl> d3059ae
- updated to 6.0.0

* Sun Feb 04 2024 Witold Filipczyk <witekfl@poczta.onet.pl> a57f73b
- updated to 5.249.0; rel 0.1

